import AppCarousel from '~/components/templates/app-carousel'
import AppOddSection from '~/components/templates/app-odd-section'
import landingLogo from '~/images/landing-logo.png'
import services01 from '~/images/services-01.png'
import services02 from '~/images/services-02.png'
import services03 from '~/images/services-03.png'
import services04 from '~/images/services-04.png'
import services05 from '~/images/services-05.png'
import services06 from '~/images/services-06.png'
import servicesDummy01 from '~/images/services-dummy-01.jpg'
import servicesDummy02 from '~/images/services-dummy-02.jpg'
import servicesDummy03 from '~/images/services-dummy-03.jpg'
import servicesItemIcon01 from '~/images/services-item-icon-01.png'
import servicesItemIcon02 from '~/images/services-item-icon-02.png'
import servicesItemIcon03 from '~/images/services-item-icon-03.png'
import pageBg from '~/images/page-bg.png'

export default function Services() {
  const services = [
    {
      icon: services01,
      title: 'Orjinal Parça Sorgulama',
      description:
        'Orijinal parça kullanımınızla puan kazanın ve biriktirdiğiniz puanları özel ödüllere dönüştürün. İşleriniz büyürken kazancınız da artsın!'
    },
    {
      icon: services02,
      title: 'Puan Kazanımı',
      description:
        'Orijinal parça kullanımınızla puan kazanın ve biriktirdiğiniz puanları özel ödüllere dönüştürün. İşleriniz büyürken kazancınız da artsın!'
    },
    {
      icon: services03,
      title: 'Hediye Sitesi',
      description:
        'Kazandığınız puanlarla birbirinden avantajlı hediyeler arasından seçim yapın. İşinizin karşılığını almanın en keyifli yolu!'
    },
    {
      icon: services04,
      title: 'Dijital Üyelik Sistemi',
      description:
        'Kolayca üye olun, tüm hizmetlerden anında faydalanın. Üyeliğinizle puanlarınızı yönetin ve fırsatları kaçırmayın!'
    },
    {
      icon: services05,
      title: 'Kampanyalar ve Fırsatlar',
      description:
        'Benim Ustam üyelerine özel kampanyalar ve indirimlerle kazançlı çıkın. Sürekli yenilenen fırsatlarla işinize değer katın.'
    },
    {
      icon: services06,
      title: 'Hızlı ve Güvenilir Destek',
      description:
        'Her adımda yanınızdayız! Sorularınız ve ihtiyaçlarınız için profesyonel destek ekibimizle size yardımcı oluyoruz.'
    }
  ]

  return (
    <div
      className="space-y-14"
      style={{
        backgroundImage: `url(${pageBg})`,
        backgroundSize: 'contain',
        backgroundPosition: 'top',
        backgroundRepeat: 'no-repeat'
      }}
    >
      <div className="container lg:max-w-[1050px] mx-auto text-center space-y-8 lg:py-20 py-10">
        <img src={landingLogo} className="inline" width={260} alt="" />
        <h3 className="font-bold text-2xl sm:text-5xl">
          Benim Ustam ile Güçlü ve <br /> Avantajlı Bir Deneyim!
        </h3>
        <p className="text-gray sm:text-lg font-medium">
          Otomotiv sektöründeki ustalar için özel olarak tasarlanan Benim Ustam, işlerinizi
          kolaylaştıran, kazancınızı artıran ve güvenilir çözümler sunan bir platformdur. Orijinal
          parça sorgulama, puan kazanımı ve hediye fırsatları ile hem işinizi büyütmenize hem de
          avantajlı kampanyalardan yararlanmanıza olanak tanır.
        </p>
      </div>
      <div className="container mx-auto px-4">
        <div className="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-8">
          {services.map((service, i) => (
            <div key={i} className="rounded-2xl bg-[#F5F5F5] py-12 px-8 space-y-3">
              <div className="size-18 bg-primary rounded-full flex items-center justify-center">
                <img src={service.icon} alt="" />
              </div>
              <h3 className="text-2xl font-medium">{service.title}</h3>
              <p className="text-lg">{service.description}</p>
            </div>
          ))}
        </div>
      </div>
      <AppOddSection
        items={[
          {
            imageUrl: servicesDummy01,
            iconUrl: servicesItemIcon01,
            title: 'Parça Sorgulama',
            description:
              'Aracınız için en doğru ve güvenilir parçaları mı arıyorsunuz? Benim Ustam uygulaması ile orijinal parça sorgulama yaparak, aracınıza en uygun yedek parçaları hızlı ve kolay bir şekilde bulabilirsiniz.',
            badge: {
              label: '🔍 Aracınız İçin Doğru Parçayı Kullanın!'
            },
            list: [
              'Orijinal parça garantisi',
              'Doğru eşleşme sayesinde zaman kaybını önleme',
              'Güvenilir ve hızlı sorgulama'
            ],
            url: '/'
          },
          {
            imageUrl: servicesDummy02,
            iconUrl: servicesItemIcon02,
            title: 'Puan Kazanma',
            description:
              'Benim Ustam’a üye olarak yaptığınız her orijinal parça alışverişinde puan kazanın. Biriktirdiğiniz puanlarla birbirinden değerli hediyelere sahip olun. İşinizi büyütürken kazancınızı artırın!',
            badge: {
              label: '💰 Sadakat Kazandırır!'
            },
            list: [
              'Orijinal parça kullanarak sistemde puan biriktirin.',
              'Kazandığınız puanları takip edin ve biriktirin.',
              'Biriken puanlarla özel kampanyalardan ve hediyelerden faydalanın.'
            ],
            url: '/'
          },
          {
            imageUrl: servicesDummy03,
            iconUrl: servicesItemIcon03,
            title: 'Hediye Sitesi',
            description:
              'Benim Ustam’da biriktirdiğiniz puanlarla ihtiyacınıza uygun birçok hediyeden yararlanabilirsiniz. Ustalara özel avantajları kaçırmayın, puanlarınızı en iyi şekilde değerlendirin.',
            badge: {
              label: '🎉 Kazandığınız Puanları Hediyeye Dönüştürün!'
            },
            list: [
              'Çeşitli kategorilerde ödüller seçebilirsiniz.',
              'Kazandığınız puanlarla anında alışveriş yapabilirsiniz.',
              'Sadık müşterilerimize özel avantajlar elde edebilirsiniz.'
            ],
            url: '/'
          }
        ]}
      />
      <div className="container mx-auto px-4">
        <AppCarousel />
      </div>
    </div>
  )
}
